## snx 0.1.3-2

=== debian/changelog ===
snx (0.1.3-2) stable; urgency=low

  Fix source package

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 24 Nov 2010 21:32:39 +0000

snx (0.1.3-1) stable; urgency=low

  N900 compatible

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 24 Nov 2010 21:32:39 +0000

snx (0.1.2-1) stable; urgency=low

  N900 test

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 23 Nov 2010 21:32:39 +0000

snx (0.1.1-1) stable; urgency=low

  N900 test

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 20 Nov 2010 21:32:39 +0000

snx (0.1-5) stable; urgency=low

  Fixed dependencies

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 25 Oct 2010 21:32:39 +0000

snx (0.1-3) stable; urgency=low

  First extras-devel build

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Sun, 24 Oct 2010 21:32:39 +0000

## snx 0.1.3-3

=== Makefile ===
CFLAGS += -s

usleep: usleep.c
	gcc -Wall $(CFLAGS) usleep.c -o usleep

clean:
	rm -f usleep

install: usleep
	mkdir -p $(DESTDIR)/usr/share/snx
	cp usleep $(DESTDIR)/usr/share/snx/
	mkdir -p $(DESTDIR)/usr/bin
	cp snx $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/etc
	cp xbindkeysrc.snx $(DESTDIR)/etc/

=== debian/changelog ===
snx (0.1.3-3) stable; urgency=low

  Fix xbindkeys configuration file

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 26 Nov 2010 21:32:39 +0000

=== debian/control ===
Source: snx
Section: user/network
Priority: extra
Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: snx
Architecture: any
Depends: libc6, wmctrl, xbindkeys, xmodmap
Suggests: telescope 
Description: A Simple commandline NX client for the NIT's.
 This package provides a NX client that doesn't require a
 NX server on the remote side, but just a ssh account
 and the NX binaries in the server.
 Its usage is much simpler than nxclient or qtnx, no setup,
 no configuration needed, no gui. Type "snx --help" to get
 instructions.
 It is advised to install Telescope, since remote desktops
 and some remote windows do not have icons in the task bar
 and may get "lost" if minimized. Telescope shows all windows
 regardless of they being shown in the taskbar or not.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	$(MAKE) DESTDIR="$(CURDIR)/debian/snx" install

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## snx 0.1.4-2

=== debian/changelog ===
snx (0.1.4-2) stable; urgency=low

  Updated fullscreen keybinding for N900

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 27 Nov 2010 21:32:39 +0000

snx (0.1.4-1) stable; urgency=low

  Workaround for N900 keyboard focus

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 27 Nov 2010 21:32:39 +0000

## snx 0.1.5-1

=== debian/changelog ===
snx (0.1.5-1) stable; urgency=low

  Added alternate ssh port capability

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 27 Nov 2010 21:32:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), libx11-dev
 Standards-Version: 3.7.2
 
 Package: snx
 Architecture: any
-Depends: libc6, wmctrl, xbindkeys, xmodmap
+Depends: libc6, wmctrl, xbindkeys, xmodmap, x11-utils
 Suggests: telescope 
 Description: A Simple commandline NX client for the NIT's.
  This package provides a NX client that doesn't require a

## snx 0.1.5-2

=== debian/changelog ===
snx (0.1.5-2) stable; urgency=low

  Added alternate ssh port capability

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 19 Dec 2010 12:32:39 +0000

## snx 0.1.5-3

=== Makefile ===
CFLAGS += -s

usleep: usleep.c
	gcc -Wall $(CFLAGS) usleep.c -o usleep

set-focus: set-focus.c
	gcc -Wall $(CFLAGS) -L/usr/X11R6/bin/ -lX11 -o set-focus set-focus.c

clean:
	rm -f usleep set-focus

install: usleep set-focus
	mkdir -p $(DESTDIR)/usr/share/snx
	cp usleep $(DESTDIR)/usr/share/snx/
	cp set-focus $(DESTDIR)/usr/share/snx/
	mkdir -p $(DESTDIR)/usr/bin
	cp snx $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/etc
	cp xbindkeysrc.snx $(DESTDIR)/etc/

=== debian/changelog ===
snx (0.1.5-3) stable; urgency=low

  Minor xbindkeys fix

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 19 Dec 2010 12:32:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: snx
 Architecture: any
-Depends: libc6, wmctrl, xbindkeys, xmodmap, x11-utils
+Depends: libc6, nxproxy, wmctrl, xbindkeys, xmodmap, x11-utils
 Suggests: telescope 
 Description: A Simple commandline NX client for the NIT's.
  This package provides a NX client that doesn't require a

## snx 0.1.6-1

=== debian/changelog ===
snx (0.1.6-1) stable; urgency=low

  Added option to use unencrypted direct connection to host.

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 13 Feb 2011 15:29:39 +0000

## snx 0.1.6-2

=== debian/changelog ===
snx (0.1.6-2) stable; urgency=low

  Increased NX window wait timeout to 30 s

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Mon, 16 Feb 2011 16:44:39 +0000
